Package org.opencv.objdetect

## Class QRCodeDetectorAruco_Params

- java.lang.Object
- - org.opencv.objdetect.QRCodeDetectorAruco_Params

-     public class QRCodeDetectorAruco_Params
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected long` | `nativeObj` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `` | `QRCodeDetectorAruco_Params()` |
    `protected` | `QRCodeDetectorAruco_Params​(long addr)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static QRCodeDetectorAruco_Params` | `__fromPtr__​(long addr)` |
    `protected void` | `finalize()` |
    `float` | `get_maxColorsMismatch()` |
    `float` | `get_maxModuleSizeMismatch()` |
    `float` | `get_maxPenalties()` |
    `float` | `get_maxRotation()` |
    `float` | `get_maxTimingPatternMismatch()` |
    `float` | `get_minModuleSizeInPyramid()` |
    `float` | `get_scaleTimingPatternScore()` |
    `long` | `getNativeObjAddr()` |
    `void` | `set_maxColorsMismatch​(float maxColorsMismatch)` |
    `void` | `set_maxModuleSizeMismatch​(float maxModuleSizeMismatch)` |
    `void` | `set_maxPenalties​(float maxPenalties)` |
    `void` | `set_maxRotation​(float maxRotation)` |
    `void` | `set_maxTimingPatternMismatch​(float maxTimingPatternMismatch)` |
    `void` | `set_minModuleSizeInPyramid​(float minModuleSizeInPyramid)` |
    `void` | `set_scaleTimingPatternScore​(float scaleTimingPatternScore)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nativeObj

          protected final long nativeObj

  - ### Constructor Detail

    - #### QRCodeDetectorAruco_Params

          protected QRCodeDetectorAruco_Params​(long addr)

    - #### QRCodeDetectorAruco_Params

          public QRCodeDetectorAruco_Params()

  - ### Method Detail

    - #### getNativeObjAddr

          public long getNativeObjAddr()

    - #### __fromPtr__

          public static QRCodeDetectorAruco_Params __fromPtr__​(long addr)

    - #### get_minModuleSizeInPyramid

          public float get_minModuleSizeInPyramid()

    - #### set_minModuleSizeInPyramid

          public void set_minModuleSizeInPyramid​(float minModuleSizeInPyramid)

    - #### get_maxRotation

          public float get_maxRotation()

    - #### set_maxRotation

          public void set_maxRotation​(float maxRotation)

    - #### get_maxModuleSizeMismatch

          public float get_maxModuleSizeMismatch()

    - #### set_maxModuleSizeMismatch

          public void set_maxModuleSizeMismatch​(float maxModuleSizeMismatch)

    - #### get_maxTimingPatternMismatch

          public float get_maxTimingPatternMismatch()

    - #### set_maxTimingPatternMismatch

          public void set_maxTimingPatternMismatch​(float maxTimingPatternMismatch)

    - #### get_maxPenalties

          public float get_maxPenalties()

    - #### set_maxPenalties

          public void set_maxPenalties​(float maxPenalties)

    - #### get_maxColorsMismatch

          public float get_maxColorsMismatch()

    - #### set_maxColorsMismatch

          public void set_maxColorsMismatch​(float maxColorsMismatch)

    - #### get_scaleTimingPatternScore

          public float get_scaleTimingPatternScore()

    - #### set_scaleTimingPatternScore

          public void set_scaleTimingPatternScore​(float scaleTimingPatternScore)

    - #### finalize

          protected void finalize()
                           throws java.lang.Throwable

      Overrides:
        `finalize` in class `java.lang.Object`
      Throws:
        `java.lang.Throwable`